namespace Baza_Reklam.Classes.Model
{
    public class NavigationSubColumn
    {
        private int _id;
        private string _name;
        private bool _isActive;
        private NavigationColumn _navigationColumn;

        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public bool IsActive
        {
            get { return _isActive; }
            set { _isActive = value; }
        }

        public NavigationColumn NavigationColumn
        {
            get { return _navigationColumn; }
            set { _navigationColumn = value; }
        }

        public NavigationSubColumn(int id, string name)
        {
            _id = id;
            _name = name;
        }

        public NavigationSubColumn(int id, string name, NavigationColumn navigationColumn)
        {
            _id = id;
            _name = name;
            _navigationColumn = navigationColumn;
        }
    }
}